Set-contest:      Southwestern European Regional 1997 ACM Contest
Set-name:         Southwestern European 1997 
Set-date:         1997
Set-URL:          http://www.informatik.uni-ulm.de/acm/ 
Set-id:           sweu1997
Set-description:  Ulm, Germany
Set-text:         prset.ps
Set-archive:      set_sweu1997.tgz
Set-solution-archive: sweu1997.tgz


Problem:        A
Name:           Triangles
Description:    In a triangle divided on small triangles find largest triangle of the same color
Class:          2D geometry
Subclass:       Rectangular
Algorithm:      dynamic programming
Solution:       a.c
Input:          a.in
Output:         a.out

Problem:        B
Name:           Instant Complexity
Description:    Compute given program time-complexity 
Class:          Compilers
Subclass:       Syntax analysis
Algorithm:      direct
Solution:       b.c
Input:          b.in
Output:         b.out

Problem:        C
Name:           There's treasure everywhere
Description:    Compute destination from given list of steps 
Class:          Simulations
Subclass:       Robots
Algorithm:      direct
Solution:       c.c
Input:          c.in
Output:         c.out
Judge:		c_jdg.c

Problem:        D
Name:           Video Surveillance
Description:    Check whether for given shape there is a point with full visibility 
Class:          2D geometry
Subclass:       rectangular
Algorithm:      
Solution:       d.c
Input:          d.in
Output:         d.out

Problem:        E
Name:           Pushing Boxes
Description:    Sokoban - box move optimization
Class:          Simulations
Subclass:       Games
Algorithm:      Breadth search using heap and special cost function
Solution:       e.c
Input:          e.in
Output:         e.out

Problem:        F
Name:           Always on the run
Description:    Some simulation
Class:          Simulations
Subclass:       generic
Algorithm:      
Solution:       f.c
Input:          f.in
Output:         f.out

Problem:        G
Name:           Box of Bricks
Description:    Simple computing
Class:          generic
Subclass:       generic
Algorithm:      direct
Solution:       g.c
Input:          g.in
Output:         g.out

Problem:        H
Name:           Island of Logic
Description:    From given rules infer some fact
Class:          Combinatory
Subclass:       Logic
Algorithm:      Full search
Solution:       h.c
Input:          h.in
Output:         h.out

Problem:        I
Name:           Mbone
Description:    Computer network simulation
Class:          Simulations
Subclass:       generic
Algorithm:      direct
Solution:       i.c
Input:          i.in
Output:         i.out

